/**
 * Copyright  2002 Sun Microsystems, Inc. All rights reserved.
 */

package edu.cmu.fantango.ejb;

import java.util.*;
import java.io.*;
import javax.naming.*;
import java.sql.*;
import javax.sql.*;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *	Static class methods for validating initial form contents
 */
public class PurchaseValidator
{
	/**
	 *	Validate form contents for Purchase form.
	 *
	 *	@throws ServletException, IOException
	 *	@returns Validity of form contents
	 */
    public static String Validate ( HttpServletRequest request, HttpServletResponse response )
        throws ServletException, IOException
	{
		System.out.println ( "::PurchaseValidator:: (Validate)" );
        // Get localstrings.properties strings
        ResourceBundle rb = ResourceBundle.getBundle ( "LocalStrings", Locale.getDefault ( ) );
		String errorMsg = new String ( );

		int tickets, avail;
		String ccnum = new String ( );
		String ccmonth = new String ( );
		String ccyear = new String ( );

		// Check for omissions and mistakes
		if ( request.getParameter ( "tickets" ).length ( ) == 0 )
			errorMsg = rb.getString ( "invalid_ticks" );
		else
		{
			tickets = ( new Integer ( ( String ) request.getParameter ( "tickets" ) ) ).intValue ( );
			avail = ( new Integer ( ( String ) request.getParameter ( "available" ) ) ).intValue ( );
			ccnum = ( String ) request.getParameter ( "ccnum" );
			ccmonth = ( String ) request.getParameter ( "ccmonth" );
			ccyear = ( String ) request.getParameter ( "ccyear" );

			if ( tickets > avail )
				errorMsg = rb.getString ( "invalid_ticksx" );
			else if ( tickets < 1 )
				errorMsg = rb.getString ( "invalid_ticksmin" );
			else if ( ccnum == null )
				errorMsg = rb.getString ( "invalid_ccnum" );
			else if ( ccmonth == null )
				errorMsg = rb.getString ( "invalid_ccmonth" );
			else if ( ccyear == null )
				errorMsg = rb.getString ( "invalid_ccyear" );
			else if ( ccnum.length ( ) < 19 )
				errorMsg = rb.getString ( "invalid_ccnum" );
			else if ( ccmonth.length ( ) < 1 )
				errorMsg = rb.getString ( "invalid_ccmonth" );
			else if ( ccyear.length ( ) < 1 )
				errorMsg = rb.getString ( "invalid_ccyear" );
			else if ( ( new Integer ( ccmonth ) ).intValue ( ) < 0 || ( new Integer ( ccmonth ) ).intValue ( ) > 12 )
				errorMsg = rb.getString ( "invalid_ccmonth" );
			else if ( ( new Integer ( ccyear ) ).intValue ( ) < 4 )
				errorMsg = rb.getString ( "invalid_ccyear" );
			else
			{
				System.out.println ( "::PurchaseValidator:: (Validate) Succeeded." );
				errorMsg = "&nbsp;";
				return errorMsg;
			}
		}

		System.out.println ( "::PurchaseValidator:: (Validate) Failed: " + errorMsg );
		request.setAttribute ( "error", errorMsg );
		request.setAttribute ( "goto", "/Showing.jsp" );

		return errorMsg;
	}
}
