/**
 * EJBFactory.java
 */

package edu.cmu.fantango.servlet;

import java.util.*;
import javax.naming.*;

/**
 * This class is a utility to get a EJB object from JNDI.
 */
public class EJBFactory
{
    /**
     * static method to access a JNDI initial context with EJB objects.
     */
    public static InitialContext getInitialContext() throws NamingException
    {
        Properties p = new Properties();
        p.put(Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
        p.put(Context.URL_PKG_PREFIXES, "jboss.naming:org.jnp.interfaces");
        p.put(Context.PROVIDER_URL, "jnp://go.ece.cmu.edu:1099");
        return new InitialContext(p);
        //may remove these if we find a way to let servlet know where jndi.properties are.
        //we also need to put client/*.jar file to appropriate lib directories of tomcat
        //container we are using. Should we use rb. to get provider URL?
    }

    /**
     * returns a EJBHome object from its name.
     */
    public static Object getEJBHome(String name)
    {
        InitialContext context = null;
        Object ref = null;
        System.out.println("getEJB(): retrieving home object [" + name + "]");
        try {
            context = getInitialContext();
            ref = context.lookup(name);
        } catch (NamingException e) {
            System.out.println("getEJB(): NamingException while retrieving home object ["
                               + name + "]: " + e.toString());
        }
        return ref;
    }
}
